Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.contact
Interface PhoneNumber

All Known Implementing Classes:
  PhoneNumberImpl

public interface PhoneNumber
extends Belonging

Represents the components of a phone number and descriptive text.

                      number
     [PhoneNumber] <*>------> [String]

                      description
     [PhoneNumber] <*>------> [String]

                      countryCode
     [PhoneNumber] <*>------> [String]

                      areaCode
     [PhoneNumber] <*>------> [String]

                      extension
     [PhoneNumber] <*>------> [String]

See Also:
  `PhoneNumberHome`, `PhoneNumberImpl`

Method Summary
`java.lang.String` | `getAreaCode()` Get the value of areaCode
`java.lang.String` | `getCountryCode()` Get the value of countryCode
`java.lang.String` | `getDescription()` Get the value of description
`java.lang.String` | `getExtension()` Get the value of extension
`java.lang.String` | `getNumber()` Get the value of number
`void` | `setAreaCode(java.lang.String areaCode)` Set the value of areaCode
`void` | `setAsText(java.lang.String number)` Set the phone number from a single string.
`void` | `setCountryCode(java.lang.String countryCode)` Set the value of countryCode
`void` | `setDescription(java.lang.String description)` Set the value of description
`void` | `setExtension(java.lang.String extension)` Set the value of extension
`void` | `setNumber(java.lang.String number)` Set the value of number

Methods inherited from interface theory.smart.foundation.Belonging
`equals, value`

Methods inherited from interface com.sun.java.util.collections.Comparable
`compareTo`

Method Detail

### getNumber

    public java.lang.String getNumber()

  Get the value of number
  Returns:
    number.

### setNumber

    public void setNumber(java.lang.String number)

  Set the value of number
  Parameters:
    `numbers` - number to be added

### getDescription

    public java.lang.String getDescription()

  Get the value of description
  Returns:
    description.

### setDescription

    public void setDescription(java.lang.String description)

  Set the value of description
  Parameters:
    `descriptions` - description to be added

### getCountryCode

    public java.lang.String getCountryCode()

  Get the value of countryCode
  Returns:
    countryCode.

### setCountryCode

    public void setCountryCode(java.lang.String countryCode)

  Set the value of countryCode
  Parameters:
    `countryCodes` - countryCode to be added

### getAreaCode

    public java.lang.String getAreaCode()

  Get the value of areaCode
  Returns:
    areaCode.

### setAreaCode

    public void setAreaCode(java.lang.String areaCode)

  Set the value of areaCode
  Parameters:
    `areaCodes` - areaCode to be added

### getExtension

    public java.lang.String getExtension()

  Get the value of extension
  Returns:
    extension.

### setExtension

    public void setExtension(java.lang.String extension)

  Set the value of extension
  Parameters:
    `extensions` - extension to be added

### setAsText

    public void setAsText(java.lang.String number)
                   throws java.rmi.RemoteException

  Set the phone number from a single string. The string is parsed into its constituent parts.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.